package l04_classes;

public class Rectangle {

	private final Vertex vertex; // bottom left corner
	private final int width;
	private final int height;

	public Rectangle(Vertex vertex, int width, int height) {
		this.vertex = vertex;
		this.width = width;
		this.height = height;
		System.out.println("\tRectangle(Vertex, int, int)");
	}

	public Rectangle(Vertex vertex) {
		this(vertex, 0, 0);
		System.out.println("\tRectangle(Vertex)");
	}

	public Rectangle(int width, int height) {
		this(new Vertex(), width, height);
		System.out.println("\tRectangle(int, int)");
	}

	public Rectangle() {
		this(new Vertex());
		System.out.println("\tRectangle()");
	}

	@Override
	public String toString() {
		return "Rectangle: " + vertex + ": " + width + ", " + height + "\n";
	}
}
